# Uses of Interface
java.io.FilenameFilter

Packages that use FilenameFilter
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.io
Provides for system input and output through data streams, serialization and the file system.

## Uses of FilenameFilter in java.awt

Methods in java.awt that return FilenameFilter
Modifier and Type
Method
Description
`FilenameFilter`
FileDialog.`getFilenameFilter()`
Determines this file dialog's filename filter.
Methods in java.awt with parameters of type FilenameFilter
Modifier and Type
Method
Description
`void`
FileDialog.`setFilenameFilter(FilenameFilter filter)`
Sets the filename filter for this file dialog window to the specified filter.

## Uses of FilenameFilter in java.io

Methods in java.io with parameters of type FilenameFilter
Modifier and Type
Method
Description
`String[]`
File.`list(FilenameFilter filter)`
Returns an array of strings naming the files and directories in the directory denoted by this abstract pathname that satisfy the specified filter.
`File[]`
File.`listFiles(FilenameFilter filter)`
Returns an array of abstract pathnames denoting the files and directories in the directory denoted by this abstract pathname that satisfy the specified filter.